#!/usr/bin/env bash

# Analyze your project.
source .venv/bin/activate

codechecker analyze --ctu \
  -o ./reports \
  ./build-linux-64/compilation_database.json

# Create the report file by using the CodeChecker parse command.
codechecker parse \
  --trim-path-prefix $(pwd) \
  -e codeclimate \
  ./reports > gl-code-quality-report.json

# Exit with status code 1 if there is any report in the output file.
status=$(cat gl-code-quality-report.json)
if [[ -n "$status" && "$status" != "[]" ]]; then
  exit 1
fi